## com.thingmagic
Class Gen2.BlockErase

    java.lang.Object
      com.thingmagic.TagOp
          com.thingmagic.Gen2.BlockErase

Enclosing class:
  Gen2

    public static class Gen2.BlockErase

extends TagOp

Block Erase

Field Summary
`Gen2.Bank` `Bank` the tag memory bank to erase
`byte` `WordCount` the number 16 blocks
`int` `WordPtr` the starting word address to erase

Constructor Summary
`Gen2.BlockErase(Gen2.Bank bank, int wordPtr, byte wordCount)` Constructor to initialize parameters of BlockErase

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Bank

    public Gen2.Bank Bank

  the tag memory bank to erase

### WordPtr

    public int WordPtr

  the starting word address to erase

### WordCount

    public byte WordCount

  the number 16 blocks

Constructor Detail

### Gen2.BlockErase

    public Gen2.BlockErase(Gen2.Bank bank,
                           int wordPtr,
                           byte wordCount)

  Constructor to initialize parameters of BlockErase

  Parameters:
    `bank` -
    `wordPtr` -
    `wordCount` -